![](logo.png)

A flexible, and hackable 4-channel 1u eurorack sequencer.  Libre hardware.

**Note:** the *yesman* default panel uses the intellijel 1u size
specification.  However, the PCB can also fit the *whatever* spec.
You simply need to change the CAD file model specification.


## The Firmware

The *yesman* firmware is written in Rust, running on an STM32F1.  The
button mappings can be modified via the configuration files.  You need
to have cargo setup for cross-compilation.

If you're using nix you can use the provided shell file to load the
required environment.

```shell
$ nix-shell
...
$ cargo build --release
```

To flash the firmware you should use the `openocd` project!  For
development it's recommended you run `sudo openocd` (you can skip
`sudo` if your user has access to the USB peripherals in `/dev`), and
then run the binary with `cargo`

```shell
$ cargo run --release
... gdb opens ...


```

## The front panel

As previously mentioned the front panel can be configured for two
different 1u size specifications.  Use the `panel/build.sh` tool to
specify which.

The final design files can be compiled into `.gcode` or `.obj` files.


## The PCB

If you want to hack on the PCB, the design files can be found in
`board/`.  You need KiCad 5 to open them.


## License

The *yesman* firmware, and pcb design are licensed under the GNU
General Public License 3.0 (or later).  The *yesman* front panel is
licensed under the CC-BY-SA 4.0.
